<?xml version='1.0'?>
<!DOCTYPE xsl:stylesheet
  PUBLIC "-//NetBSD//DTD NetBSD XSLT 1.0 DTD//EN"
         "http://www.NetBSD.org/XML/htdocs/share/xml/xslt10-netbsd.dtd">

<!-- $NetBSD: netbsd-docbook-html.xsl,v 1.8 2005/04/29 07:39:41 hrs Exp $ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'
                xmlns="http://www.w3.org/TR/xhtml1/transitional"
                exclude-result-prefixes="#default">

  <!-- Pull in the base stylesheets -->
  <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl" />

  <xsl:param name="VERSION" select="'X.X.X'" />

  <xsl:template match="hostid">
    <xsl:call-template name="inline.monoseq" />
  </xsl:template>

  <xsl:template match="devicename">
    <xsl:call-template name="inline.monoseq" />
  </xsl:template>

  <xsl:template match="username">
    <xsl:call-template name="inline.monoseq" />
  </xsl:template>

  <xsl:template match="maketarget">
    <xsl:call-template name="inline.monoseq" />
  </xsl:template>

  <xsl:template match="makevar">
    <xsl:call-template name="inline.monoseq" />
  </xsl:template>

  <!-- link to pkg README.html -->
  <xsl:template match="pkg">
    <a>
      <xsl:attribute name="href">
        <xsl:text>ftp://ftp.NetBSD.org/pub/NetBSD/packages/pkgsrc/</xsl:text>
        <xsl:value-of select="."/><xsl:text>/README.html</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="class"><xsl:text>pkgname</xsl:text></xsl:attribute>
      <xsl:value-of select="."/>
    </a>
  </xsl:template>

  <xsl:template name="generate.citerefentry.link">
    <xsl:text>http://netbsd.gw.com/cgi-bin/man-cgi?</xsl:text>
    <xsl:value-of select="refentrytitle"/>
    <xsl:text>+</xsl:text>
    <xsl:value-of select="manvolnum"/>
    <xsl:text>+NetBSD-current</xsl:text>
  </xsl:template>

  <xsl:template match="processing-instruction('sdataEntity')">
    <xsl:text disable-output-escaping="yes">&amp;</xsl:text>
    <xsl:value-of select="substring-before(.,' [')" />
    <xsl:text>;</xsl:text>
  </xsl:template>

  <xsl:template name="l10n.pubdate.label">
    <xsl:text>Published: </xsl:text>
  </xsl:template>

  <xsl:template match="pubdate" mode="book.titlepage.recto.auto.mode">
    <div xsl:use-attribute-sets="book.titlepage.recto.style">
      <xsl:if test="@role = 'cvstag'">
        <xsl:param name="tmp1" select="substring-after(., ' ')" />
        <xsl:param name="tmp2" select="substring-after($tmp1, ' ')" />
        <xsl:param name="tmp3" select="substring-after($tmp2, ' ')" />
        <xsl:param name="date" select="substring-before($tmp3, ' ')" />
        <xsl:param name="tmp4" select="substring-after($tmp3, ' ')" />
        <xsl:param name="time" select="substring-before($tmp4, ' ')" />
        <xsl:call-template name="paragraph">
          <xsl:with-param name="class" select="name(.)"/>
          <xsl:with-param name="content">
            <xsl:call-template name="l10n.pubdate.label" />
            <xsl:value-of select="concat($date, ' ', $time)" />
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>
      <xsl:apply-templates select="." mode="book.titlepage.recto.mode"/>
    </div>
  </xsl:template>
</xsl:stylesheet>
